#include "Gyroscope.h"

static MPU6050 mpu6050(Wire);

void init_Gyro(void)
{
  mpu6050.begin();
  mpu6050.calcGyroOffsets(true);
}

float get_AngleX(void)
{
  return(mpu6050.getAngleX());
}

float get_AngleY(void)
{
  return(mpu6050.getAngleY());
}

float get_AngleZ(void)
{
  return(mpu6050.getAngleZ());
}

void tick_Gyro(float* angles)
{
  mpu6050.update();
  angles[axeX] = get_AngleX();
  angles[axeY] = get_AngleY();
  angles[axeZ] = get_AngleZ();
}
