#pragma once
#include "VL53L1X.h"
#include <arduino.h>
#include "Communication.h"
#include <math.h>

#define nbrLasers   4
#define nbrSample   15

#define UpLaser     0
#define DownLaser   1
#define RightLaser  2
#define LeftLaser   3

void initLaserSensors(void);

void sensorRead(uint16_t* measure, uint8_t sensor_Id);

void changeAddress(uint8_t sensor_Id, uint8_t address);

void calculatePlane(uint16_t* measures, double* eq, uint8_t UpOrDown);

void tick_Lasers(uint16_t* measures, double* eqPlan1, double* eqPlan2);
